Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.ws
Class ApplicationClasspathResourceTSListener

    java.lang.Object
      com.atomikos.icatch.ws.ApplicationClasspathResourceTSListener

All Implemented Interfaces:
  TSListener

    public abstract class ApplicationClasspathResourceTSListener

extends Object
implements TSListener

Field Summary
`protected String` | `fileName`
`protected long` | `interval`
`protected String` | `logDir`
`protected String` | `resourceName`
`protected boolean` | `stayRegistered`

Constructor Summary
`protected` | `ApplicationClasspathResourceTSListener(String resourceName, String logDir, String fileName, long interval, boolean stayRegistered)`

Method Summary
`protected abstract void` | `createAndRegisterResource()`
`void` | `init(boolean before, Properties properties)` Called before and after initialization.
`void` | `shutdown(boolean before)` Called before and after shutdown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceName

    protected String resourceName

### logDir

    protected String logDir

### fileName

    protected String fileName

### interval

    protected long interval

### stayRegistered

    protected boolean stayRegistered

Constructor Detail

### ApplicationClasspathResourceTSListener

    protected ApplicationClasspathResourceTSListener(String resourceName,
                                                     String logDir,
                                                     String fileName,
                                                     long interval,
                                                     boolean stayRegistered)

Method Detail

### shutdown

    public void shutdown(boolean before)

  Description copied from interface: `TSListener`
  Called before and after shutdown.

  Specified by:
    `shutdown` in interface `TSListener`
  Parameters:
    `before` - True if shutdown is about to start. False if shutdown has finished.

### init

    public void init(boolean before,
                     Properties properties)

  Description copied from interface: `TSListener`
  Called before and after initialization.

  Specified by:
    `init` in interface `TSListener`
  Parameters:
    `before` - True indicates that initialization is about to start. False indicates that initialization has finished. This means that recovery has been done and the transaction service is now ready to start new transactions.
    `properties` - The initialization properties.

### createAndRegisterResource

    protected abstract void createAndRegisterResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.